#!/usr/bin/env python

"""
Debugger GUI main executable.
"""

import sys
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk, Pango, Gdk

from view.target_selection import TargetSelection

if __name__=="__main__":
	# Enable GTK multi-threading support
	Gdk.threads_init()
	Gdk.threads_enter()

	# Start the target selection UI. This parses the command line and shows the
	# MainWindow when connected.
	TargetSelection(sys.argv)

	# GTK Mainloop
	Gtk.main()
